Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.base
Class SimulatorRuntime

    java.lang.Object
      com.licel.jcardsim.base.SimulatorRuntime

    public class SimulatorRuntime

extends Object

Base implementation of Java Card Runtime

See Also:
  `JCSystem`, `Applet`

Constructor Summary
`SimulatorRuntime()`

Method Summary
`void` | `appletInstalling(AID aid)`
`AID` | `getAID()` Return current applet context AID or null
`protected Applet` | `getApplet(AID aid)` Return `Applet` by it's AID or null
`protected Class` | `getAppletClass(AID aid)` Return `Applet class` by it's AID or null
`AID` | `getPreviousContextAID()` Return previous selected applet context AID or null
`protected void` | `loadApplet(AID aid, Class appletClass)` Load applet
`AID` | `lookupAID(byte[] buffer, short offset, byte length)` Lookup applet by aid contains in byte array
`com.licel.jcardsim.base.SimulatorRuntime.AppletHolder` | `lookupApplet(AID lookupAid)` Lookup applet by aid
`protected void` | `registerApplet(AID aid, Applet applet)` Register applet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimulatorRuntime

    public SimulatorRuntime()

Method Detail

### getAID

    public AID getAID()

  Return current applet context AID or null

### lookupAID

    public AID lookupAID(byte[] buffer,
                         short offset,
                         byte length)

  Lookup applet by aid contains in byte array

### lookupApplet

    public com.licel.jcardsim.base.SimulatorRuntime.AppletHolder lookupApplet(AID lookupAid)

  Lookup applet by aid

### getPreviousContextAID

    public AID getPreviousContextAID()

  Return previous selected applet context AID or null

### appletInstalling

    public void appletInstalling(AID aid)

### getApplet

    protected Applet getApplet(AID aid)

  Return `Applet` by it's AID or null

  Parameters:
    `aid` - applet `AID`

### getAppletClass

    protected Class getAppletClass(AID aid)

  Return `Applet class` by it's AID or null

  Parameters:
    `aid` - applet `AID`

### loadApplet

    protected void loadApplet(AID aid,
                              Class appletClass)

  Load applet

### registerApplet

    protected void registerApplet(AID aid,
                                  Applet applet)

  Register applet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD